Ask Your Question
0

Unable to locate package ros-lunar-desktop-full

asked 2018-04-17 13:35:01 -0500

Elric gravatar image

I have this ubuntu:

No LSB modules are available.
Distributor ID: Ubuntu
Description:    Ubuntu 17.10
Release:    17.10
Codename:   artful

I have followed everything from the page Ubuntu install of ROS Lunar.

I did everything on this page, but when I do:

sudo apt-get install ros-lunar-desktop-full

I get the following message:

Unable to locate package ros-lunar-desktop-full

Is there something I can check to find why it isn't finding the package?

I have added mirrors from Ireland, Germany and Netherlands but it cannot locate the package.

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
2

answered 2018-04-17 14:10:07 -0500

jayess gravatar image

updated 2018-04-17 14:11:39 -0500

You're using Ubuntu 17.10, but it's not supported on that distribution. From ROS REP-3

Lunar Loggerhead (May 2017 - May 2019)

Required Support for:

  • Ubuntu Xenial (16.04)
  • Ubuntu Yakkety (16.10)
  • Ubuntu Zesty (17.04)

Melodic is supported on 17.10, however

Melodic Morenia (May 2018 - May 2023)

Required Support for:

  • Ubuntu Artful (17.10)
  • Ubuntu Bionic (18.04)
edit flag offensive delete link more

Comments

1

The REP is explicit about this, but it's also stated on the wiki page @VansFannel linked to. Under Ubuntu install of ROS Lunar there is no mention of Artful anywhere.

gvdhoorn gravatar imagegvdhoorn ( 2018-04-18 03:01:14 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2018-04-17 13:35:01 -0500

Seen: 470 times

Last updated: Apr 17 '18